Subject: Re: bug#67661: 30.0.50; *Completions* has started popping up for icomplete-in-buffer

From: Sean Whitton <[email-masked]>
Date: Sat, 09 Dec 2023 15:22:50 +0000

Hello,

On Sat 09 Dec 2023 at 04:40pm +02, Eli Zaretskii wrote:

> Sean reported a regression in behavior under icomplete-in-buffer, so I
> looked into the recipe he posted.  What I saw was that Emacs 29 shows
> the in-buffer completions after the first TAB and adds to that the
> *Completions* buffer after the second TAB.  By contrast, Emacs 30
> shows nothing after the first TAB, and shows both in-buffer
> completions and the *Completions* buffer after the second TAB.  So my
> conclusion was that the regression is the behavior after the first
> TAB.  If this conclusion is incorrect, please tell what did I miss.

This is exactly how I understand the situation.

icomplete-in-buffer didn't work at all for years, until Juri (iirc)
fixed it for Emacs 29.  So what happens in much older Emacs doesn't seem
important.  It's a regression since Emacs 29.

-- 
Sean Whitton